Subject: [bug#57050] [PATCH 0/6] gnu: Update Racket to 8.6. Add Zuo.

From: Thiago Jung Bauermann <[email-masked]>
Date: Wed, 10 Aug 2022 12:30:47 -0300

Hello Philip,

Philip McGrath <[email-masked]> writes:

> This patch series contains the Racket 8.6 release, including updating Racket's
> variant of Chez Scheme and adding a package for Zuo, the new tiny Racket-like
> language used for build scripts starting with this release.
>
> (If you've been waiting for the release announcement, this cycle upstream is
> delaying sending it until the new Racket has finished rebuilding all
> of <https://docs.racket-lang.org>, which can take a few days---but the release
> itself is live at <https://download.racket-lang.org> already, and I've been
> told distribution packagers should update now.)
>
> As I mentioned on the mailing list in [1], this release lets us use Racket CS
> and Racket's variant of Chez Scheme on all systems, even those for which the
> compiler can not yet generate native code, such as powerpc64le-linux and
> riscv64-linux. (See the relevant patches for more details.) In particular,
> this means that we can now provide some Chez Scheme package for every system
> Guix supports.

I tried building the zuo branch from your gitlab repo (commit
00975c823227 “gnu: chez-scheme-for-racket: Suport all systems.” from
August 8th) on powerpc64le-linux and had this build failure in
chez-scheme-for-racket-bootstrap-bootfiles-9.5.9.2:

--8<---------------cut here---------------start------------->8---
starting phase `build'
Assuming current directory has Chez Scheme sources
Use /tmp/guix-build-chez-scheme-for-racket-bootstrap-bootfiles-9.5.9.2.drv-0/source/racket/src/ChezScheme/rktboot/.
Use /tmp/guix-build-chez-scheme-for-racket-bootstrap-bootfiles-9.5.9.2.drv-0/source/racket/src/ChezScheme/nanopass
Use /tmp/guix-build-chez-scheme-for-racket-bootstrap-bootfiles-9.5.9.2.drv-0/source/racket/src/ChezScheme/s
Check /tmp/guix-build-chez-scheme-for-racket-bootstrap-bootfiles-9.5.9.2.drv-0/source/racket/src/ChezScheme/boot/tpb64l
Load nanopass
Apply nanopass patch
Load cmacros parts
Load enum
Load cprep
Load expander
Install evaluator
Load cmacros using expander
Continue loading expander
Initialize system libraries
Load nanopass using expander
Load priminfo and primvars
Load expander using expander
Initialize system libraries in bootstrapped expander
Declare nanopass in bootstrapped expander
Load some io.ss declarations
Load some strip.ss declarations
Load some 7.ss declarations
Load most front.ss declarations
Define $filter-foreign-type
Load mkheader
Generate headers
Load mkgc
Generate GC
Load ftype.ss
Load fasl.ss
Load reloc.ss
Load format.ss
Load cp0.ss
Load cpvalid.ss
Load cpcheck.ss
Load cpletrec.ss
Load cpcommonize.ss
Load cpnanopass.ss
error: in phase 'build': uncaught exception:
%exception #<&invoke-error program: "/gnu/store/f72x3mdyagp67ybwdy9cqqsid9v8jk9l-racket-vm-bc-8.6/opt/racket-vm/bin/racket" arguments: ("rktboot/main.rkt" "--machine" "tpb64l") exit-status: 1 term-signal: #f stop-signal: #f> 
phase `build' failed after 707.9 seconds
command "/gnu/store/f72x3mdyagp67ybwdy9cqqsid9v8jk9l-racket-vm-bc-8.6/opt/racket-vm/bin/racket" "rktboot/main.rkt" "--machine" "tpb64l" failed with status 1
--8<---------------cut here---------------end--------------->8---

I didn't have the chance yet to dig into why rktboot/main.rkt is
failing. If you have any tips on how to find more details on what is
going on (e.g., is there some verbose flag that can be passed to it?) I
can try to investigate.

-- 
Thanks
Thiago